SDL_WindowShaper Struct Reference

`#include <SDL_sysvideo.h>`

Collaboration diagram for SDL_WindowShaper:
[legend]

## Data Fields

SDL_Window * | window
Uint32 | userx
Uint32 | usery
SDL_WindowShapeMode | mode
SDL_bool | hasshape
void * | driverdata

## Detailed Description

Definition at line 40 of file SDL_sysvideo.h.

## Field Documentation

## driverdata

void* SDL_WindowShaper::driverdata

Definition at line 54 of file SDL_sysvideo.h.

## hasshape

SDL_bool SDL_WindowShaper::hasshape

Definition at line 52 of file SDL_sysvideo.h.

Referenced by SDL_CreateShapedWindow(), SDL_SetWindowShape(), and SDL_WindowHasAShape().

## mode

SDL_WindowShapeMode SDL_WindowShaper::mode

Definition at line 49 of file SDL_sysvideo.h.

Referenced by SDL_CreateShapedWindow(), SDL_GetShapedWindowMode(), and SDL_SetWindowShape().

## userx

Uint32 SDL_WindowShaper::userx

Definition at line 46 of file SDL_sysvideo.h.

Referenced by SDL_CreateShapedWindow(), and SDL_SetWindowShape().

## usery

Uint32 SDL_WindowShaper::usery

Definition at line 46 of file SDL_sysvideo.h.

Referenced by SDL_CreateShapedWindow(), and SDL_SetWindowShape().

## window

SDL_Window* SDL_WindowShaper::window

Definition at line 43 of file SDL_sysvideo.h.

The documentation for this struct was generated from the following file:

- src/video/SDL_sysvideo.h